# org.apache.maven.project

## Interfaces

- MavenProjectBuilder
- MavenProjectHelper
- ModelUtils.ModelPartCloner
- ProjectBuilderConfiguration

## Classes

- DefaultMavenProjectBuilder
- DefaultMavenProjectHelper
- DefaultProjectBuilderConfiguration
- MavenProject
- MavenProjectBuildingResult
- ModelUtils
- ProjectSorter
- ProjectUtils

## Exceptions

- DuplicateProjectException
- InvalidProjectModelException
- MissingProjectException
- ProjectBuildingException